Skip to content
AdiosDocumentation
Browse documentation

Agent messages API

Read authorized conversation records. Keep responses containing private code or conversations out of published examples.

Use API authentication for protected requests. Examples use your own resource IDs and a temporary token; saved response examples are synthetic.

MethodPathOperation
GET/v1/agent_messageList agent messages
GET/v1/agent_message/{id}Get agent message

List agent messages

GET /v1/agent_message

Returns a paginated list of AgentMessage

Authentication: bearer token and the team header shown below.

Parameters

NameLocationRequiredDescription
X-Tenant-IDheaderyesActive team ID. Must match the tenant bound to a diagnostic token.
pagequerynoPage number
per_pagequerynoItems per page

Request example

Set ADIOS_API_URL=https://api.adios.dev. For protected requests, set ADIOS_ACCESS_TOKEN and ADIOS_TEAM_ID as in the quickstart. Set any additional ADIOS_* variables from your own resource results.

curl --fail-with-body --request GET "$ADIOS_API_URL/v1/agent_message" \
  -H "Authorization: Bearer $ADIOS_ACCESS_TOKEN" \
  -H "X-Tenant-ID: $ADIOS_TEAM_ID"

Response: HTTP 200

List of AgentMessage

Response fields

FieldTypeDescription
dataarray
data[].agent_message_idstring
data[].agent_session_idstring
data[].contentobject
data[].content_jsonobject
data[].created_atinteger(Unix timestamp)
data[].deleted_atinteger(Unix timestamp)
data[].metadataobject
data[].rolestringAllowed: system, user, assistant, tool.
data[].sequenceinteger
data[].team_idstring
data[].token_countinteger
data[].tool_call_idobject
data[].tool_namestring
data[].updated_atinteger(Unix timestamp)
paginationobject
pagination.pageintegerCurrent page number
pagination.per_pageintegerNumber of items per page
pagination.totalintegerTotal number of items

Illustrative example; not a live response:

{
  "data": [
    {
      "agent_message_id": "000000000000000000000000001",
      "agent_session_id": "000000000000000000000000001",
      "content": "",
      "content_json": {},
      "created_at": 1791072000,
      "deleted_at": 0,
      "metadata": {},
      "role": "system",
      "sequence": 0,
      "team_id": "000000000000000000000000001",
      "token_count": 0,
      "tool_call_id": "",
      "tool_name": "",
      "updated_at": 1791072000
    }
  ],
  "pagination": {
    "page": 1,
    "per_page": 1,
    "total": 1
  }
}

Get agent message

GET /v1/agent_message/{id}

Returns a single AgentMessage

Set agent_message_id using IDs from your own API responses.

Authentication: bearer token and the team header shown below.

Parameters

NameLocationRequiredDescription
idpathyesResource identifier from your team's API results.
X-Tenant-IDheaderyesActive team ID. Must match the tenant bound to a diagnostic token.

Request example

Set ADIOS_API_URL=https://api.adios.dev. For protected requests, set ADIOS_ACCESS_TOKEN and ADIOS_TEAM_ID as in the quickstart. Set any additional ADIOS_* variables from your own resource results.

curl --fail-with-body --request GET "$ADIOS_API_URL/v1/agent_message/${ADIOS_AGENT_MESSAGE_ID}" \
  -H "Authorization: Bearer $ADIOS_ACCESS_TOKEN" \
  -H "X-Tenant-ID: $ADIOS_TEAM_ID"

Response: HTTP 200

AgentMessage

Response fields

FieldTypeDescription
agent_message_idstring
agent_session_idstring
contentobject
content_jsonobject
created_atinteger(Unix timestamp)
deleted_atinteger(Unix timestamp)
metadataobject
rolestringAllowed: system, user, assistant, tool.
sequenceinteger
team_idstring
token_countinteger
tool_call_idobject
tool_namestring
updated_atinteger(Unix timestamp)

Illustrative example; not a live response:

{
  "agent_message_id": "000000000000000000000000001",
  "agent_session_id": "000000000000000000000000001",
  "content": "",
  "content_json": {},
  "created_at": 1791072000,
  "deleted_at": 0,
  "metadata": {},
  "role": "system",
  "sequence": 0,
  "team_id": "000000000000000000000000001",
  "token_count": 0,
  "tool_call_id": "",
  "tool_name": "",
  "updated_at": 1791072000
}